Loading...
Searching...
No Matches
VolumeAdvect.h File Reference

Sparse hyperbolic advection of volumes, e.g. a density or velocity (vs a level set interface). More...

`#include <openvdb/Types.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/thread/Threading.h>`
`#include "Interpolation.h"`
`#include "VelocityFields.h"`
`#include "Morphology.h"`
`#include "Prune.h"`
`#include "Statistics.h"`
`#include <tbb/parallel_for.h>`
`#include <functional>`

Go to the source code of this file.

## Classes

class | VolumeAdvection< VelocityGridT, StaggeredVelocity, InterrupterType >
| Performs advections of an arbitrary type of volume in a static velocity field. The advections are performed by means of various derivatives of Semi-Lagrangian integration, i.e. backwards tracking along the hyperbolic characteristics followed by interpolation. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools
namespace | openvdb::v11_0::tools::Scheme

## Enumerations

enum | SemiLagrangian { SEMI , MID , RK3 , RK4 , MAC , BFECC }
| Numerical advections schemes. More...
enum | Limiter { NO_LIMITER , CLAMP , REVERT }
| Flux-limiters employed to stabilize the second-order advection schemes MacCormack and BFECC. More...

## Detailed Description

Sparse hyperbolic advection of volumes, e.g. a density or velocity (vs a level set interface).

Author
  Ken Museth